> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new Dependent

> Create a new dependent for an employee.

<Warning>
  The Member Request workflow is now deprecated in favor of using [Member
  Snapshot](/docs/members/using-snapshots/using-snapshots)
</Warning>


## OpenAPI

````yaml POST /api/v1/employees/{employee_id}/dependents
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/employees/{employee_id}/dependents:
    post:
      tags:
        - Group Configuration
      summary: Create a new Dependent
      description: Create a new dependent for an employee.
      operationId: createDependent
      parameters:
        - description: The unique identifier of the employee the dependent belongs to
          in: path
          name: employee_id
          required: true
          schema:
            example: 30b74a44-d5b1-4123-a7a4-6d3aec251ba4
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            examples:
              success:
                value:
                  person:
                    contact:
                      email_address: jamie@testemail.com
                      email_address_type: home
                      home_phone: '+12065551234'
                    date_of_birth: '2000-01-02'
                    first_name: Jamie
                    home_address:
                      city: San Francisco
                      county: San Francisco
                      state: CA
                      street_one: 1234 Home Ave
                      zip_code: '94107'
                    last_name: Johnson
                    marital_status: single
                    sex: F
                    ssn: '384032999'
                  relationship: child
            schema:
              $ref: '#/components/schemas/DependentCreateRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              example:
                created: 1626281253
                employee_id: 30b74a44-d5b1-4123-a7a4-6d3aec251ba4
                id: fd62665c-0846-4e9d-bd29-80779b5f685c
                modified: 1626281253
                person:
                  contact:
                    email_address: jamie@testemail.com
                    email_address_type: home
                    home_phone: '+12065551234'
                  date_of_birth: '2000-01-02'
                  first_name: Jamie
                  home_address:
                    city: San Francisco
                    county: San Francisco
                    state: CA
                    street_one: 1234 Home Ave
                    zip_code: '94107'
                  last_name: Johnson
                  marital_status: single
                  sex: F
                  ssn: '384032999'
                relationship: child
                version: 669fbe16-9960-4069-91aa-832ada3f4e42
              schema:
                $ref: '#/components/schemas/DependentResult'
          description: Successful Response - Returns the new Dependent
components:
  schemas:
    DependentCreateRequest:
      properties:
        person:
          allOf:
            - $ref: '#/components/schemas/CreatePersonRequest'
          description: Personal information for the dependent
        relationship:
          description: Relationship of the dependent to the employee
          enum:
            - spouse
            - child
            - domestic-partner
            - grandchild
            - civil-union
            - step-child
            - foster-child
            - adopted-child
            - legal-guardianship
            - ex-spouse
            - other
          type: string
      required:
        - person
        - relationship
      type: object
      x-field_order:
        - relationship
        - person
    DependentResult:
      properties:
        created:
          description: The date the record was originated
          readOnly: true
          type: integer
        custom_individual_id:
          description: The custom identifier for this dependent in your system
          readOnly: true
          type: string
        employee_id:
          description: Unique identifier of the employee in Noyo
          format: uuid
          readOnly: true
          type: string
        id:
          description: Unique identifier of the dependent in Noyo
          format: uuid
          readOnly: true
          type: string
        modified:
          description: The date the record was last updated
          readOnly: true
          type: integer
        person:
          allOf:
            - $ref: '#/components/schemas/Person'
          description: Personal information for the dependent
        relationship:
          description: Relationship of the dependent to the employee
          enum:
            - spouse
            - child
            - domestic-partner
            - grandchild
            - civil-union
            - step-child
            - foster-child
            - adopted-child
            - legal-guardianship
            - ex-spouse
            - other
          type: string
        version:
          description: Version of the dependent record
          format: uuid
          readOnly: true
          type: string
      required:
        - created
        - employee_id
        - id
        - modified
        - person
        - relationship
        - version
      type: object
      x-field_order:
        - id
        - custom_individual_id
        - version
        - created
        - modified
        - employee_id
        - relationship
        - person
    CreatePersonRequest:
      properties:
        contact:
          allOf:
            - $ref: '#/components/schemas/PersonContact'
          description: Contact information for the person
        date_of_birth:
          description: ISO-8601 date string for the date of birth of the person
          example: '1977-06-03'
          format: date
          type: string
        details:
          allOf:
            - $ref: '#/components/schemas/PersonDetails'
          description: Additional personal details of the person
        first_name:
          description: First name of the person
          example: Catherine
          type: string
        home_address:
          allOf:
            - $ref: '#/components/schemas/Address'
          description: Home address of the person
        last_name:
          description: Last name of the person
          example: Briggs
          type: string
        maiden_name:
          description: Maiden name of the person (deprecated)
          type: string
        mailing_address:
          allOf:
            - $ref: '#/components/schemas/Address'
          description: Mailing address of the person, if different from home address
        marital_status:
          description: Marital status of the person
          enum:
            - single
            - married
            - domestic-partner
            - divorced
            - widowed
            - legally-separated
          example: married
          type: string
        middle_name:
          description: Middle name of the person
          example: S
          type: string
        sex:
          description: Sex of the person
          enum:
            - F
            - M
            - U
            - X
          example: F
          type: string
        ssn:
          description: Social Security Number of the person
          example: '123456789'
          nullable: true
          pattern: ^(?!000)[0-9]{3}(?!00)[0-9]{2}(?!0000)[0-9]{4}$
          type: string
        suffix:
          description: Suffix of the person
          type: string
      required:
        - date_of_birth
        - first_name
        - home_address
        - last_name
        - sex
      type: object
      x-field_order:
        - first_name
        - middle_name
        - last_name
        - suffix
        - home_address
        - mailing_address
        - date_of_birth
        - ssn
        - sex
        - marital_status
        - maiden_name
        - contact
        - details
    Person:
      properties:
        contact:
          allOf:
            - $ref: '#/components/schemas/PersonContact'
          description: Contact information for the person
        date_of_birth:
          description: ISO-8601 date string for the date of birth of the person
          example: '1977-06-03'
          format: date
          type: string
        details:
          allOf:
            - $ref: '#/components/schemas/PersonDetails'
          description: Additional personal details of the person
        first_name:
          description: First name of the person
          example: Catherine
          type: string
        home_address:
          allOf:
            - $ref: '#/components/schemas/Address'
          description: Home address of the person
          nullable: true
        last_name:
          description: Last name of the person
          example: Briggs
          type: string
        maiden_name:
          description: Maiden name of the person (deprecated)
          type: string
        mailing_address:
          allOf:
            - $ref: '#/components/schemas/Address'
          description: Mailing address of the person, if different from home address
          nullable: true
        marital_status:
          description: Marital status of the person
          enum:
            - single
            - married
            - domestic-partner
            - divorced
            - widowed
            - legally-separated
          example: married
          type: string
        middle_name:
          description: Middle name of the person
          example: S
          type: string
        sex:
          description: Sex of the person
          enum:
            - F
            - M
            - U
            - X
          example: F
          type: string
        ssn:
          description: Social Security Number of the person
          example: '123456789'
          nullable: true
          pattern: ^(?!000)[0-9]{3}(?!00)[0-9]{2}(?!0000)[0-9]{4}$
          type: string
        suffix:
          description: Suffix of the person
          type: string
      required:
        - date_of_birth
        - first_name
        - home_address
        - last_name
        - sex
      type: object
      x-field_order:
        - first_name
        - middle_name
        - last_name
        - suffix
        - home_address
        - mailing_address
        - date_of_birth
        - ssn
        - sex
        - marital_status
        - maiden_name
        - contact
        - details
    PersonContact:
      properties:
        email_address:
          description: Email address of the person
          example: catherine.briggs@example.com
          format: email
          type: string
        email_address_type:
          description: Type of email address
          enum:
            - home
            - work
          example: home
          type: string
        home_phone:
          description: Home phone number in E.164 format
          example: '+15555551212'
          type: string
        preferred_language:
          description: Preferred written or spoken language of the person
          example: Engish
          type: string
        preferred_method:
          description: Preferred method of contact for the person
          enum:
            - mail
            - email
            - home-phone
            - work-phone
            - other
          example: email
          type: string
        speaks_english:
          description: True if the person can speak or communicate in English
          example: true
          type: boolean
        work_phone:
          description: Work phone number in E.164 format
          example: '+15555551212'
          type: string
      type: object
      x-field_order:
        - home_phone
        - work_phone
        - email_address
        - email_address_type
        - preferred_method
        - preferred_language
        - speaks_english
    PersonDetails:
      properties:
        american_indian:
          allOf:
            - $ref: '#/components/schemas/PersonAmericanIndian'
          description: American Indian status details (if applicable)
        disability:
          allOf:
            - $ref: '#/components/schemas/PersonDisability'
          description: Disability details (if applicable)
        is_military:
          description: True if the person is in the military
          type: boolean
        is_student:
          description: True if the person is a student
          type: boolean
        tobacco:
          allOf:
            - $ref: '#/components/schemas/PersonTobacco'
          description: Tobacco usage details (if applicable)
      type: object
      x-field_order:
        - tobacco
        - disability
        - american_indian
        - is_student
        - is_military
    Address:
      properties:
        city:
          description: City of the address
          example: Bend
          type: string
        county:
          description: County of the address
          example: Deschutes
          type: string
        state:
          description: State postal code of the address
          enum:
            - AL
            - AK
            - AZ
            - AR
            - CA
            - CO
            - CT
            - DE
            - DC
            - FL
            - GA
            - HI
            - ID
            - IL
            - IN
            - IA
            - KS
            - KY
            - LA
            - ME
            - MD
            - MA
            - MI
            - MN
            - MS
            - MO
            - MT
            - NE
            - NV
            - NH
            - NJ
            - NM
            - NY
            - NC
            - ND
            - OH
            - OK
            - OR
            - PA
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VT
            - VA
            - WA
            - WV
            - WI
            - WY
            - AS
            - GU
            - MH
            - FM
            - MP
            - PW
            - PR
            - VI
            - UM
          example: OR
          type: string
        street_one:
          description: Line one of the address
          example: 339 Hickory Street
          type: string
        street_two:
          description: Line two of the address
          example: Apartment 5
          type: string
        zip_code:
          description: Zip code of the address
          example: '97701'
          pattern: ^(\d{5})(?:-?)(\d{4})?$
          type: string
      required:
        - city
        - state
        - street_one
        - zip_code
      type: object
      x-field_order:
        - street_one
        - street_two
        - city
        - state
        - zip_code
        - county
    PersonAmericanIndian:
      properties:
        state:
          description: >-
            Primary state of the federally-recognized American Indian or Alaska
            Native tribe, if applicable
          enum:
            - AL
            - AK
            - AZ
            - AR
            - CA
            - CO
            - CT
            - DE
            - DC
            - FL
            - GA
            - HI
            - ID
            - IL
            - IN
            - IA
            - KS
            - KY
            - LA
            - ME
            - MD
            - MA
            - MI
            - MN
            - MS
            - MO
            - MT
            - NE
            - NV
            - NH
            - NJ
            - NM
            - NY
            - NC
            - ND
            - OH
            - OK
            - OR
            - PA
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VT
            - VA
            - WA
            - WV
            - WI
            - WY
            - AS
            - GU
            - MH
            - FM
            - MP
            - PW
            - PR
            - VI
            - UM
          type: string
        tribe:
          description: >-
            Name of the federally-recognized American Indian or Alaska Native
            tribe, if applicable
          example: Ojibwe
          type: string
      type: object
    PersonDisability:
      properties:
        communication:
          description: True if the disability impacts the ability to communicate or read
          type: boolean
        disabled:
          description: True if the member has a disability
          type: boolean
        reason:
          description: Description of the disability
          type: string
      type: object
      x-field_order:
        - disabled
        - reason
        - communication
    PersonTobacco:
      properties:
        duration:
          description: Duration of tobacco use
          example: 5 years
          type: string
        frequency:
          description: Frequency of tobacco use
          example: Daily
          type: string
        types:
          description: List of types of tobacco use
          example: cigarettes
          items:
            enum:
              - pipe
              - cigarettes
              - chewing-tobacco
            type: string
          minItems: 1
          type: array
        user:
          description: True if the person uses tobacco of any kind
          example: true
          type: boolean
      type: object
      x-field_order:
        - user
        - types
        - duration
        - frequency

````